sget
Prev | Registration and Superblocks | Next

## Name

sget — find or create a superblock

## Synopsis

`struct super_block * sget (` | struct file_system_type * | type,
| int (* | test`(`struct super_block *,void *`)`,
| int (* | set`(`struct super_block *,void *`)`,
| void * | data`)`;

## Arguments

`type`

  filesystem type superblock should belong to

`test`

  comparison callback

`set`

  setup callback

`data`

  argument to each of them

Prev | Up | Next
generic_shutdown_super | Home | get_super